Bug 55992 - C# intellisense issues in files opened with Apple Event
Summary: C# intellisense issues in files opened with Apple Event
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: 7.0 (VSforMac)
Hardware: Macintosh Mac OS
: Low normal
Target Milestone: 15.3
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2017-05-04 18:24 UTC by Jb Evain
Modified: 2017-05-17 14:55 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Repro project (4.96 KB, application/zip)
2017-05-04 18:24 UTC, Jb Evain
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jb Evain 2017-05-04 18:24:55 UTC
Created attachment 21957 [details]
Repro project

When an external software uses Apple Events to start Visual Studio for Mac and open files, then files opened using Apple Events have issues with intellisense.

Repro:

* Download Console.zip attachment
* Unzip
* Open Apple's script editor
* Copy & paste after adjusting the paths to your unzipped Console location:

on run
	tell application "Visual Studio"
		launch
		delay 6
		activate
		open POSIX file "/Users/jbevain/tmp/Console/Console.sln"
		open POSIX file "/Users/jbevain/tmp/Console/Program.cs"
	end tell
end run

Result:

* Visual Studio will open
* The solution will be opened
* The file Program will be opened

Issue:

* Note that in the line:

class Program : Library

The type Library is not colorized.
You do not get code completion if you type Library.
You do not get code completion for the method `Library.Do`
Comment 1 Jeffrey Stedfast 2017-05-04 20:00:23 UTC
When I ran the script the first time, I did indeed get the behavior you describe. When I double-clicked on Program.cs, suddenly the 'Library' token became colorized.

Interestingly, if I close Program.cs and then close Visual Studio and then re-run the script, it opens up Program.cs and after a few seconds, everything is syntactically colorized including the 'Library' token.


Not sure if that helps Mike diagnose the issue at all...
Comment 2 Jb Evain 2017-05-16 17:11:08 UTC
Fixed in version 7.1.0.673 (master)

Author: Lluis Sanchez
Commit: cf6e8c8652c3aa9e4f9f9e3ccc83c37390c57dd4 (mono/monodevelop)
Comment 3 Mohak Barokar 2017-05-17 09:05:23 UTC
This bug is verified on Build :
 -Visual Studio Enterprise 2017 for Mac Version 7.0.1 (build 8)
 -Mono 5.2.0.104 (2017-04/4a0006f) (64-bit)
 -Xamarin.iOS Version: 10.11.0.126 (Visual Studio Enterprise)
 -Xamarin.Android Version: 7.3.0.13 (Visual Studio Enterprise)
 -Xamarin.Mac Version: 3.5.0.126 (Visual Studio Enterprise)

& Found to be fixed Hence marking this issue as Verified.

Observations: 
The type Library is colorized (Color : Blue).
Getting code completion on typing Library.
Getting code completion for the method `Library.Do`
Comment 4 Jb Evain 2017-05-17 14:55:51 UTC
Fixed in version 7.0.1.17 (d15-2)

Author: Lluis Sanchez
Commit: 3ad49f02b45c9fe64b5221d47ca58a08b823ac52 (mono/monodevelop)